Skip to main content
GET
/
search
Search
curl --request GET \
  --url https://v1.tennis.sportsapipro.com/search \
  --header 'x-api-key: <api-key>'

Overview

Search across tennis players, tournaments, and teams by name.

Code Examples

curl -X GET "https://v1.tennis.sportsapipro.com/search?query=Nadal" \
  -H "x-api-key: YOUR_API_KEY"

Parameters

query
string
required
Search term
filter
string
Filter type: all, athletes, competitions, competitors

Response Structure

athletes
array
Matching players
competitions
array
Matching tournaments
Use search to find player IDs, then use other endpoints for detailed data.

Authorizations

x-api-key
string
header
required

Your SportsAPI Pro API key

Query Parameters

query
string
required

Search query

Example:

"Nadal"

filter
enum<string>
default:all

Filter type: all, competitions, competitors, athletes

Available options:
all,
competitions,
competitors,
athletes

Response

200

Search results retrieved successfully